<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.cecep.talroad.mapper.BEnterpriseRiskAssessmentMapper">
  <resultMap id="BaseResultMap" type="cn.cecep.talroad.domain.BEnterpriseRiskAssessment">
    <!--@mbg.generated-->
    <!--@Table b_enterprise_risk_assessment-->
    <id column="risk_id" jdbcType="BIGINT" property="riskId" />
    <result column="factory_id" jdbcType="VARCHAR" property="factoryId" />
    <result column="score" jdbcType="NUMERIC" property="score" />
    <result column="grade" jdbcType="CHAR" property="grade" />
    <result column="highest_number" jdbcType="INTEGER" property="highestNumber" />
    <result column="online_warning_number" jdbcType="INTEGER" property="onlineWarningNumber" />
    <result column="fbjd_warning_number" jdbcType="INTEGER" property="fbjdWarningNumber" />
    <result column="problem_number" jdbcType="INTEGER" property="problemNumber" />
    <result column="practicable_number" jdbcType="INTEGER" property="practicableNumber" />
    <result column="control_number" jdbcType="INTEGER" property="controlNumber" />
    <result column="data_rate_number" jdbcType="NUMERIC" property="dataRateNumber" />
    <result column="discharge_pollutants" jdbcType="VARCHAR" property="dischargePollutants" />
    <result column="day_follow" jdbcType="CHAR" property="dayFollow" />
    <result column="create_by" jdbcType="VARCHAR" property="createBy" />
    <result column="create_time" jdbcType="TIMESTAMP" property="createTime" />
    <result column="update_by" jdbcType="VARCHAR" property="updateBy" />
    <result column="update_time" jdbcType="TIMESTAMP" property="updateTime" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--@mbg.generated-->
    risk_id, factory_id, score, grade, highest_number, online_warning_number, fbjd_warning_number, 
    problem_number, practicable_number, control_number, data_rate_number, discharge_pollutants, 
    day_follow, create_by, create_time, update_by, update_time
  </sql>
</mapper>